import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.defineAllMultiplatformTargets
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.defineXomrkGiteaMavenRepo
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.optInContracts

buildscript {
	val versions = java.util.Properties()
	versions.load(rootDir.resolve("../versions.properties").inputStream())


	repositories {
		mavenCentral()
	}

	dependencies {
		classpath("ru.landgrafhomyak.kotlin:kotlin-mpp-gradle-build-helper:v${versions.getProperty("this")}k${versions.getProperty("kotlin")}")
	}
}

plugins {
	kotlin("multiplatform") version "2.0.20"
}

repositories {
	mavenCentral()
	defineXomrkGiteaMavenRepo()
}


kotlin {
	jvmToolchain(8)
	defineAllMultiplatformTargets()
	optInContracts()
}
